# see https://cloud.google.com/bigquery/docs/reference/rest/v2/Job
# WRITE_TRUNCATE = overwrite
# WRITE_APPEND = append
# WRITE_EMPTY = write if empty

# overridden by EVENT_DAILY_SCHEDULE env variable
## 11:35am utc (6:35am cst)
schedule: "20 12 * * *"
# overridden by EVENT_DAILY_DEFAULT_PARTITION_TYPE env variable
default_partition_type: DAY

starters:
  - mart: event__course_offering__interaction_sessions__starter
    file: event/course_offering/interaction_sessions_starter.sql
    target_dataset: mart_helper

marts:
  - mart: event__course_offering__interaction_sessions
    target_table: mart_helper.event__course_offering__interaction_sessions
    file: event/course_offering/interaction_sessions.sql
    write_disposition: WRITE_APPEND
    partition_field: session_date
    starter: event__course_offering__interaction_sessions__starter
    depends_on:
      - event_store.expanded
      - mart_helper.context__course_offering
      - mart_helper.context__academic_term

  - mart: event__taskforce__file_accesses
    target_table: mart_helper.event__taskforce__file_accesses
    file: event/taskforce/file_accesses.sql
    write_disposition: WRITE_TRUNCATE
    depends_on:
      - mart_helper.event__course_offering__object_interaction
      - mart_helper.context__file

  - mart: event__taskforce__time_spent_view_days
    target_table: mart_helper.event__taskforce__time_spent_view_days
    file: event/taskforce/time_spent_view_days.sql
    write_disposition: WRITE_TRUNCATE
    depends_on:
      - mart_helper.event__course_offering__interaction_sessions

  - mart: event__taskforce__tool_launches
    target_table: mart_helper.event__taskforce__tool_launches
    file: event/taskforce/tool_launches.sql
    write_disposition: WRITE_TRUNCATE
    depends_on:
      - mart_helper.event__general__lti_tool

  - mart: event__student_activity_score__navigation_time
    target_table: mart_helper.event__student_activity_score__navigation_time
    file: event/student_activity_score/navigation_time.sql
    write_disposition: WRITE_TRUNCATE
    depends_on:
      - mart_helper.context__student_activity_score__enrollments
      - mart_helper.event__student_activity_score__navigation_events
